QGIS Application - Bug report #16721
Problem with an empty Geopackage layer and zoom to group
2017-06-19 11:43 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24620
Description

Zoom to group does not work if one of the layers under the group is an empty gpkg layer. It locks the panning function. In addition the
rendering locks even if you turn off all other layers.

To reproduce the bug:

1- Create a group in the layer tree and add some of your existing non-empty layers there
2- Select zoom to the group, which should work at this point

3- Create a new geopackage and add the layer to the group

4- Select zoom to the group

5- Now, try to pan...the canvas does not move

6- Turn off all the layers...still canvas shows the previous rendered layers

Please note, that with empty shapefile or spatialite you DO NOT have this issue.

The issue affects 2.18 and master

Associated revisions

Revision 3ff0f697 - 2017-11-12 02:56 PM - Even Rouault

[OGR provider] Make extent() return a isNull() rectangle on empty layer (fixes #16721)

Revision 7d8f3f72 - 2017-11-12 03:04 PM - Even Rouault

[OGR provider] Make extent() return a isNull() rectangle on empty layer (fixes #16721)

History

#1 - 2017-11-12 02:56 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|3ff0f6979407f4dbc466b37b8087d585900cc3de.
